%global goipath github.com/google/uuid
Version:        1.1.0
%gometa

%global common_description %{expand:
The uuid package generates and inspects UUIDs based on RFC 4122 and DCE 1.1:
Authentication and Security Services.}

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go library to generate and inspect UUIDs
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
# https://github.com/google/uuid/issues/31
Patch0:         set-an-ifname-if-there-are-no-network-interfaces.patch


%description
%{common_description}


%package devel
Summary:        %{summary}
BuildArch:      noarch


%description devel
%{common_description}

This package contains the source code needed for building packages that import
the %{goipath} Go namespace.


%prep
%forgeautosetup -p 1


%install
%goinstall


%check
%gochecks


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Mon Feb 11 2019 Carl George <carl@george.computer> - 1.1.0-1
- Initial package
